Inky Frame Picture InkyFrame
============================

You will need an Inky Frame for this project. I used the [7.3" one](https://shop.pimoroni.com/products/inky-frame-7-3). If you use a different size one, you will need to edit ```inky_convert.sh``` and PicoGraphics import to refrence the different sized screen.

Load all the files in repo, minus inky_convert.sh onto the storage of Raspberry Pi pico onboard. Make sure to add your WiFi connection details into [secrets.py](https://learn.pimoroni.com/article/getting-started-with-inky-frame#adding-your-wireless-credentials) as well as your Nextcloud auth like below. I suggest you make an app password instead of your standard password.

```
NEXTCLOUD_USERNAME=username
NEXTCLOUD_PASSWORD=password
NEXTCLOUD_URL=https://nextcloud
```

On your Nextcloud instanace, make a folder in base folder that is called "eink-frame". Put in any pictures you like in that folder that have first been run through ```inky_convert.sh```. The script only requires bash and imagemagick.
Power on your Inky Frame and watch it go through the pictures in that folder every 6 hours.
